Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DateWindow1904Record

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DateWindow1904Record

    public final class DateWindow1904Record

extends StandardRecord

Title: Date Window 1904 Flag record

Description: Flag specifying whether 1904 date windowing is used. (tick toc tick toc...BOOM!)

REFERENCE: PG 280 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `sid`

Constructor Summary
`DateWindow1904Record()`
`DateWindow1904Record(RecordInputStream in)`

Method Summary
`protected int` | `getDataSize()`
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getWindowing()` gets whether or not to use 1904 date windowing (which means you'll be screwed in 2004)
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setWindowing(short window)` sets whether or not to use 1904 date windowing (which means you'll be screwed in 2004)
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DateWindow1904Record

    public DateWindow1904Record()

### DateWindow1904Record

    public DateWindow1904Record(RecordInputStream in)

Method Detail

### setWindowing

    public void setWindowing(short window)

  sets whether or not to use 1904 date windowing (which means you'll be screwed in 2004)

  Parameters:
    `window` - flag - 0/1 (false,true)

### getWindowing

    public short getWindowing()

  gets whether or not to use 1904 date windowing (which means you'll be screwed in 2004)

  Returns:
    window flag - 0/1 (false,true)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.